Bug 113079 - cannot mount cd on lite-on cd-rom drive, system crash on shutdown at "unmounting file systems" (also possible memory leak?)
cannot mount cd on lite-on cd-rom drive, system crash on shutdown at "unmount...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-08 02:31 EST by Aviram Carmi
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 15:56:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aviram Carmi 2004-01-08 02:31:02 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC; en-US; rv:1.3.1)
Gecko/20030721 wamcom.org

Description of problem:
Sorry, but I am not a sys admin nor a linux expert...

IBM xSeries 220 with a lite-on 486s CD-ROM drive.

system reports bad blocks/sectors on hda1 

(took me a while to realize that hda1 is the cd rom and not the first
SCSI disk... spend over a week diganosing the SCSI disks for bad
blocks, replaced one disk, re-installed, replaced SCSI cable... what a
waste of time...)

will not auto mount and cannot "mount /dev/cdrom"

2.5 GB of RAM, and the memory monitor showed almost all as used by "cache"

when I try to shutdown and re-boot, the system hang right after
"unmounting file system" is displayed.

also, some times it will not unmount /usr claiming that the file
system is in use... (which is also one reason I kept looking at the
SCSI drives)

after realizing that the cd rom might be the problem, I took it out,
and put in an Apple brand cd rom drive which was puled out of a G4
Macintosh when I installed a burner in that machine.

so far in three hours the system seems to be just fine, will mount
cds, will shutdown just fine, memory monitor is nearly at the bottom,
i.e. the cache memory is not being used anymore.

there were no problems installing Fedora using the lite-on drive, and
booting into the builting diagnostics of the IBM ROM, which is PC DOS
based, gave the entire machine, cd rom, scsi, mother board, cpu,
memory, etc, a clean bill of health, with over 200 iterations over the
holidays...

So, as far as I can tell, there is some sort of incompatiblity between
the lite-on cd rom drive and Fedora.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. install Fedora on IBM xSeries 220 with a lite-on cd-rom
2. insert a cd-rom into the drive, will not mount
3. mount /dev/cdrom will not mount
4. shutdown -r now, will hang right at unmounting file system
5. some times bad sector errors on hda1
6. some times will report that it cannot mount /usr since it is busy.
    

Actual Results:  

cd will not mount
system will be very slow and un responsive
memory monitor will show 95%+ of memory used as cache
bad blocks/sectors errors will be reported on hda1
system will hang at shutdonw -r

Expected Results:  

cd should have mounted.
memory should be free
no bad blocks/sectors on hda1
system should not hang on shutdown

Additional info:
Comment 1 Todd Anderson 2004-07-08 18:19:47 EDT
I have a similar problem with Lite-On (model # LTW-486S) cd-rom 
drives in IBM x205 series servers running fedora core 1, kernel 
2.4.22-1.2174.  While I can boot without issue, upon issuing the 
command mount /mnt/cdrom, I get the following response
udf:  registering filesystem
hdc:  attached ide-cdrom driver
hdc: media error (bad sector): status=0x51 (DriveReady SeekComplete 
Error)
hdc: media error:  error=0x30
end_request: I/O error dev:16:00 (hdc) sector ######
hdc: command error (bad sector): status=0x51 (DriveReady SeekComplete 
Error)
hdc: command error:  error=0x30
end_request: I/O error dev:16:00 (hdc) sector ######
hdc: media error (bad sector): status=0x51 (DriveReady SeekComplete 
Error)
hdc: media error:  error=0x30
end_request: I/O error dev:16:00 (hdc) sector ######

The box generates the media error messages continuously with 
different sector #s. Ctl-C will not stop the mount process and I have 
to reboot to get the cd out.  The green light is lit solid on the cd-
rom drive.

With the exact same Fedora image on other x205s (with different cd 
rom drives, ex. Samsung) and the response to the "mount /mnt/cdrom" 
command is:
udf:  registering filesystem
hdc:  attached ide-cdrom driver
UDF-fs:  No VRS found.
The cd mounts, I can read the directory, read and copy files, etc.
Comment 2 David Lawrence 2004-09-29 15:56:47 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.